API reference

GET /api/v1/images

Source images available for transformation.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "med_zhorc1nsed16q7",
      "created_at": "2024-09-21T17:33:37Z",
      "content_type": "image/png",
      "bytes": 2421549,
      "width": 640,
      "height": 1080,
      "status": "ready"
    },
    {
      "id": "med_spj62ghn1mlp89",
      "created_at": "2024-11-18T08:14:31Z",
      "content_type": "image/jpeg",
      "bytes": 7634864,
      "width": 2560,
      "height": 768,
      "status": "ready"
    },
    {
      "id": "med_ejawa35ko02n15",
      "created_at": "2025-06-20T17:50:25Z",
      "content_type": "image/webp",
      "bytes": 6283329,
      "width": 640,
      "height": 360,
      "status": "ready"
  ...

Example

curl -s https://mouse.barmalei.com/api/v1/images